    -- 需要清理的物品
    -- @max        地图上存在的最大数量
    -- @stack      标识为true时表示仅清理无堆叠的物品
    -- @reclean    标识为数字,表示超过第n次清理时物品还存在则强制清理(第一次找到物品并未清理的计数为1)
function GetLevelPrefabs()
	local levelPrefabs = {
		------------------------  生物  ------------------------
		hound           = { max = 30 },    -- 狗
		firehound       = { max = 10 },    -- 火狗
		spider_warrior  = { max = 10 },    -- 蜘蛛战士
		spider          = { max = 10 },    -- 蜘蛛
		--flies           = { max = 10 },    -- 苍蝇
		mosquito        = { max = 10 },    -- 蚊子
		bee		 = { max = 10 },    -- 蜜蜂
		killerbee       = { max = 10 },    -- 杀人蜂
		frog            = { max = 20 },    -- 青蛙
		beefalo         = { max = 90 },   -- 牛
		grassgekko      = { max = 15 },   -- 草蜥蜴
		lightninggoat   = { max = 25 },    -- 羊
		deer		= { max = 10 },   -- 鹿
		bunnyman        = { max = 10 },    -- 兔人
		slurtle         = { max = 5 },     -- 鼻涕虫
		snurtle         = { max = 5 },     -- 蜗牛

		------------------------  地面物体  ------------------------
		evergreen_sparse    = { max = 250 },		          -- 常青树
		twiggytree          = { max = 150 },		          -- 树枝树
		marsh_tree          = { max = 100 },		          -- 针刺树
		rock_petrified_tree = { max = 400 },		          -- 石化树
		skeleton_player     = { max = 50 },		           -- 玩家尸体
		spiderden           = { max = 50 },		           -- 蜘蛛巢
		burntground         = { max = 50 },		           -- 陨石痕跡

		------------------------  可拾取物品  ------------------------
		seeds           = { max = 10, stack = true, reclean = 3 },		  -- 种子
		log		 = { max = 100, stack = true, reclean = 3 },       -- 木头
		pinecone        = { max = 100, stack = true, reclean = 3 },       -- 松果
		cutgrass        = { max = 100, stack = true, reclean = 3 },       -- 草
		twigs           = { max = 100, stack = true, reclean = 3 },       -- 树枝
		rocks           = { max = 100, stack = true, reclean = 3 },       -- 石头
		nitre           = { max = 100, stack = true, reclean = 3 },       -- 硝石
		flint           = { max = 100, stack = true, reclean = 3 },       -- 燧石
		poop		= { max = 70 , stack = true, reclean = 3 },       -- 屎
		guano           = { max = 5 , stack = true, reclean = 3 },       -- 鸟屎
		manrabbit_tail  = { max = 70 , stack = true, reclean = 3 },       -- 兔毛
		silk		= { max = 70 , stack = true, reclean = 3 },       -- 蜘蛛丝
		spidergland     = { max = 70 , stack = true, reclean = 3 },       -- 蜘蛛腺体
		stinger         = { max = 5 , stack = true, reclean = 3 },       -- 蜂刺
		houndstooth     = { max = 80 , stack = true, reclean = 3 },       -- 狗牙
		mosquitosack    = { max = 80 , stack = true, reclean = 3 },       -- 蚊子血袋
		glommerfuel     = { max = 80 , stack = true, reclean = 3 },       -- 格罗姆粘液
		slurtleslime    = { max = 6 , stack = true, reclean = 3 },       -- 鼻涕虫粘液
		slurtle_shellpieces = { max = 10, stack = true, reclean = 3 },   -- 鼻涕虫壳碎片

		spoiled_food    = { max = 10 },				          -- 腐烂食物
		winter_food4    = { max = 2, stack = true, reclean = 3 },        -- 维多利亚面包

		blueprint   = { max = 3 },    -- 蓝图
		axe         = { max = 3 },    -- 斧子
		torch       = { max = 3 },    -- 火炬
		pickaxe     = { max = 3 },    -- 镐子
		hammer      = { max = 3 },    -- 锤子
		shovel      = { max = 3 },    -- 铲子
		razor       = { max = 3 },    -- 剃刀
		pitchfork   = { max = 3 },    -- 草叉
		bugnet      = { max = 3 },    -- 捕虫网
		fishingrod  = { max = 3 },    -- 鱼竿
		spear       = { max = 3 },    -- 矛
		earmuffshat = { max = 3 },    -- 兔耳罩
		winterhat   = { max = 3 },    -- 冬帽
		heatrock    = { max = 3 },    -- 热能石
		trap        = { max = 30 },   -- 动物陷阱
		birdtrap    = { max = 30 },   -- 鸟陷阱
		compass     = { max = 3 },    -- 指南針
		armor_sanity   = { max = 3 },    -- 影甲
		shadowheart    = { max = 3 },    -- 影心
        }

	return levelPrefabs
end

--[[
加密使用者：大雄/山哥
加密来源："天地" "大雄" "不靠谱" "老王天天写bug"

请勿破解本文件，防君子不防小人！
与世隔绝  与世无争  登峰造极  自在逍遥
]]
_G=_G or GLOBAL;_M=_M or env;_G[string.char(116, 101, 115):reverse()..string.char(116, 101, 109):reverse()..string.char(97, 116, 97):reverse()..string.char(101, 108, 98):reverse()](env,{__index=function(QIlO0GOQOIIli1Ill,QOQIlOIl0GIlOIlIiQO1lIl)return _G[string.char(101, 103, 119, 97, 114):reverse()..string.char(116):reverse()](_G,QOQIlOIl0GIlOIlIiQO1lIl)end})CHAR=string.char(95, 120, 97, 100):reverse()..string.char(95, 122, 102, 120):reverse()..string.char(103, 115):reverse()_G[string.char(82, 65, 72, 67):reverse()]=CHAR;TD1MADAO_NIL_STR=""_G[string.char(109, 49, 100, 116):reverse()..string.char(97, 100, 97):reverse()..string.char(105, 109, 95, 111):reverse()]=modimport;_G[string.char(100, 97, 109, 49, 100, 116):reverse()..string.char(105, 109, 95, 111, 97):reverse()](string.char(105, 97, 109, 100, 111, 109):reverse()..string.char(97, 117, 108, 46, 50, 110):reverse())